[Scilab-users] Some inconsistency during installation o 6.1

classic Classic list List threaded Threaded
2 messages Options
fmiyara fmiyara
Reply | Threaded
Open this post in threaded view
|

[Scilab-users] Some inconsistency during installation o 6.1


Dear all,

I've just installed version 6.1. When installing it there is a button "About modules...". Clicking on it opens the following link in the browser:  

https://wiki.scilab.org/howto/install/windows

However, it refers to Scilab 5.5.2, not even 6.0.2, so may be this already happened for the preceding versions. It is not important, but considering that the link is there, it should point to an updated link.

I didn't test it too much yet, but the new really compact version of mode(1) is most welcome, especially for those of us who use small-screen laptops. Also welcome is the single-line presentation of polynomials, with in-line exponents using superscripts. However, full compactness doesn't seem to work with rationals, since a blank line is still appearing before the result, for instance,

--> q = (1-%s)/(1+%s^2)
 q  =
         
   1 -s  
   ----- 
   1 +s²

while with polynomials it works fine:

--> q = 1+%s^2
 q  =
  1 +s²

Regards,

Federico Miyara   


_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users
mottelet mottelet
Reply | Threaded
Open this post in threaded view
|

Re: Some inconsistency during installation o 6.1

Hello Frederico,

Thank you for your posiitve feedback on 6.1 display improvements. I think you are the only user who did so on the ML.

Concerning the problem of rationals display, which is done in %r_p.sci,  for the moment it is impossible to respect the actual mode() value, because overloads are systematically evaluated with mode() == -1. This a current limitation of overlading mechanism and fixing it is doable but not trivial (at least from my point of view).

Best,

S.


Quoting Federico Miyara <[hidden email]>:


Dear all,

I've just installed version 6.1. When installing it there is a button "About modules...". Clicking on it opens the following link in the browser:  

https://wiki.scilab.org/howto/install/windows

However, it refers to Scilab 5.5.2, not even 6.0.2, so may be this already happened for the preceding versions. It is not important, but considering that the link is there, it should point to an updated link.

I didn't test it too much yet, but the new really compact version of mode(1) is most welcome, especially for those of us who use small-screen laptops. Also welcome is the single-line presentation of polynomials, with in-line exponents using superscripts.
However, full compactness doesn't seem to work with rationals, since a blank line is still appearing before the result, for instance,

--> q = (1-%s)/(1+%s^2)
 q  =
         
   1 -s  
   ----- 
   1 +s²

while with polynomials it works fine:

--> q = 1+%s^2
 q  =
  1 +s²

Regards,

Federico Miyara   




_______________________________________________
users mailing list
[hidden email]
http://lists.scilab.org/mailman/listinfo/users